#!/bin/bash
###########################################################################
# Eole NG - 2011
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# update_uucp_sys.sh
#
# Mise à niveau des configurations uucp des serveurs en cas de migration
# depuis un serveur Zéphir 2.2
#
# bruno boiget <bruno.boiget@ac-dijon.fr>
#
###########################################################################


if [ -d /etc/uucp/serveurs ]
then
	cd /etc/uucp/serveurs
	# recherche des fichiers non à jour
	echo -e "   Mise à jour de la configuration UUCP des clients"
	fichiers=`grep "protocol t" *.sys -c | grep ".*:0$" | cut -d ":" -f 1`
	for fic in $fichiers
	do
		sed -i -r "s/port tcp/port tcp\nprotocol t/g" $fic
	done
fi
